DELETE /api/v3/reading

Deletes one or more sets of meter readings by channel and date range

DeleteReadingsV3 Permissions: IntervalData (Manage)
Use this endpoint to bulk-delete readings. Each item specifies a channelId, begin date/time, and end date/time. All readings with timestamps greater than beginTime and less than or equal to endTime are deleted. To delete a single reading by time range, set begin and end to the same value. Invalid channel IDs or reversed date ranges are reported as failures without affecting valid deletions.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Request Body

Array of:

ReadingDelete
Property Description Type
channelId The identifier for the channel of the reading Required integer (int32)
timeBegin The begin date and time of the set of readings to be deleted. If provided, readings after but NOT including the provided begin date and time will be deleted. string (date-time)
timeEnd The end date and time of the set of readings to be deleted. If provided, readings up to and including the provided end date and time will be deleted. string (date-time)
Example Request Body application/json
[
  {    "channelId": 1,    "timeBegin": "2026-06-29",    "timeEnd": "2026-06-29"
  }
]

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

DeleteReadingResponse
Property Description Type
deleted The number of readings deleted integer (int32)
failures Data representing the failed reading deletion ReadingDelete[]
ReadingDelete properties
Property Description Type
channelId The identifier for the channel of the reading Required integer (int32)
timeBegin The begin date and time of the set of readings to be deleted. If provided, readings after but NOT including the provided begin date and time will be deleted. string (date-time)
timeEnd The end date and time of the set of readings to be deleted. If provided, readings up to and including the provided end date and time will be deleted. string (date-time)
Example Response application/json
{  "deleted": 1,  "failures": [
    {    "channelId": 1,    "timeBegin": "2026-06-29",    "timeEnd": "2026-06-29"
  }
  ]
}